
#ifndef PSGUI_H
#define PSGUI_H

#include <gtk/gtk.h>
#include "prismstumbler.h"

int gridAddNet(void *pArg, int argc, char **argv, char **columnNames);
void update_netlist(ScanResult_t* aresult, time_t t_when);
void update_set_idle();
void printlog(char* str);


void clear_list();

void
on_fMain_destroy                       (GtkObject       *object,
                                        gpointer         user_data);

void
on_fMain_show                          (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_gclWlans_realize                    (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_gclWlans_select_row                 (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

#endif

void
on_notebook1_switch_page               (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        gint             page_num,
                                        gpointer         user_data);

gboolean
on_gclWlans_button_press_event         (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_delete1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_view_detail1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_gclWlans_unselect_row               (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_cbNight_toggled                     (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

gboolean
on_fMain_button_press_event            (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_fMain_key_press_event               (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_rbCAll_toggled                      (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_rbCSpecific_toggled                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_eSChannel_changed                   (GtkEditable     *editable,
                                        gpointer         user_data);

gboolean
on_eSChannel_focus_out_event           (GtkWidget       *widget,
                                        GdkEventFocus   *event,
                                        gpointer         user_data);

void
on_cbLogPackets_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_cbFakeAP_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_cbFakeAP_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);
