/*
 * This file contains all code sepecific to the wlan-ng Interface
 *
 *
 * RevHist
 *
 * When         Who             What
 * 02-03-26	jafer		Code moved out of prismstumbler.c
 * 
 *
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>
#include <time.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <unistd.h>
#include <asm/types.h>
#include <linux/netlink.h>
#include <netinet/in.h>
#include <string.h>
#include "wlanctl/wlanctl.h"

#define MCAST_GRP_SNIFF 0x00000002      /* Value used to notify netlink  */

/*
 * Open the NETLINK Device
 */
int openPacket(void){
	static   struct sockaddr_nl nl_sk_addr;
	 static int RawSock;



        if ((RawSock = socket (PF_NETLINK, SOCK_RAW, MCAST_GRP_SNIFF)) < 0) {
              perror ("Could not create socket");
              return -1; 
        }

        memset (&nl_sk_addr, 0, sizeof (struct sockaddr_nl));
        nl_sk_addr.nl_family = (sa_family_t) PF_NETLINK;
        nl_sk_addr.nl_pid = (unsigned int) getpid ();

        nl_sk_addr.nl_groups = MCAST_GRP_SNIFF;

        if (bind (RawSock, (struct sockaddr *) &nl_sk_addr,
                                sizeof (struct sockaddr_nl)) < 0) {
                perror ("Call to bind failed");
                return -1;
        }
        return RawSock;
}


/*
 * Just a wrapper....
 */
void closePacket(int RawSock){
        close(RawSock);
}


#ifdef USE_SYSTEM
/*
 * This is a ugly hack just to set the channel to listen on
 */
void shutCard(void){
        char Cmd[255];

        sprintf(Cmd,"/sbin/wlanctl-ng wlan0 lnxreq_wlansniff enable=false > /dev/null");
        system(Cmd);
}


/*
 * This is a uglc hack just to set the channel to listen on
 */
int selectChannel(int channel){
        char Cmd[255];

        sprintf(Cmd,"/sbin/wlanctl-ng wlan0 lnxreq_wlansniff enable=false > /dev/null");
        system(Cmd);
        sprintf(Cmd,
           "/sbin/wlanctl-ng wlan0 lnxreq_wlansniff channel=%d enable=true > /dev/null",
                channel);
        system(Cmd);
        return 0 ;
}
#else
void shutCard(void){
        char *argv[10];
        int argc;

        argv[0] = "wlanctl";
        argv[1] = "wlan0";
        argv[2] = "lnxreq_wlansniff";
        argv[3] = "enable=false";
	argv[4] = NULL;
        argc=4;
        wlanctl(argc,argv);

}
int selectChannel(int channel){
        char Channel[255];
        char *argv[10];
        int argc;
	memset(argv,0,10);
        sprintf(Channel,"channel=%d",channel);

        argv[0] = "wlanctl";
        argv[1] = "wlan0";
        argv[2] = "lnxreq_wlansniff";
        argv[3] = "enable=false";
	argv[4] = NULL;
        argc=4;
        wlanctl(argc,argv);
        argv[0] = "wlanctl";
        argv[1] = "wlan0";
        argv[2] = "lnxreq_wlansniff";
        argv[3] = Channel;
        argv[4] = "enable=true";
	argv[5] = NULL;
        argc=5;
        wlanctl(argc,argv);
	return(0);
}

#endif

